clearkey()
{

char *KEYPRESS = (char*)0xC000;           /* return the last key press  */
char *KEYCLEAR = (char*)0xC010;           /* clear the last key press   */

	/* clear stragglers from the keyboard buffer */
	while(KEYPRESS[0] > 127)KEYCLEAR[0]=0;
}
